import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PfLotEiConfig } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-10-19 17:45
 */
interface PfLotEiConfigCU extends ConditionUtil<PfLotEiConfigCU> {
    ID: FieldUtil<PfLotEiConfigCU>;
    LOT_ID: FieldUtil<PfLotEiConfigCU>;
    EI_CONFIG_ID: FieldUtil<PfLotEiConfigCU>;
    EI_TYPE: FieldUtil<PfLotEiConfigCU>;
    ENABLE_CLOUD_INVOICE: FieldUtil<PfLotEiConfigCU>;
    MONTHLY_PM_FEE: FieldUtil<PfLotEiConfigCU>;
    REMARK: FieldUtil<PfLotEiConfigCU>;
    CREATE_TIME: FieldUtil<PfLotEiConfigCU>;
    UPDATE_TIME: FieldUtil<PfLotEiConfigCU>;
    USE_LOT_NAME: FieldUtil<PfLotEiConfigCU>;
    USE_LOT_ADDRESS: FieldUtil<PfLotEiConfigCU>;
    USE_CAR_NUMBER: FieldUtil<PfLotEiConfigCU>;
}
declare class PfLotEiConfigMU extends TableUtilImpl<PfLotEiConfigCU, PfLotEiConfig> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PfLotEiConfigCU;
    static get ID(): FieldUtil<PfLotEiConfigCU>;
    static get LOT_ID(): FieldUtil<PfLotEiConfigCU>;
    static get EI_CONFIG_ID(): FieldUtil<PfLotEiConfigCU>;
    static get EI_TYPE(): FieldUtil<PfLotEiConfigCU>;
    static get ENABLE_CLOUD_INVOICE(): FieldUtil<PfLotEiConfigCU>;
    static get MONTHLY_PM_FEE(): FieldUtil<PfLotEiConfigCU>;
    static get REMARK(): FieldUtil<PfLotEiConfigCU>;
    static get CREATE_TIME(): FieldUtil<PfLotEiConfigCU>;
    static get UPDATE_TIME(): FieldUtil<PfLotEiConfigCU>;
    static get USE_LOT_NAME(): FieldUtil<PfLotEiConfigCU>;
    static get USE_LOT_ADDRESS(): FieldUtil<PfLotEiConfigCU>;
    static get USE_CAR_NUMBER(): FieldUtil<PfLotEiConfigCU>;
    get ID(): FieldUtil<PfLotEiConfigCU>;
    get LOT_ID(): FieldUtil<PfLotEiConfigCU>;
    get EI_CONFIG_ID(): FieldUtil<PfLotEiConfigCU>;
    get EI_TYPE(): FieldUtil<PfLotEiConfigCU>;
    get ENABLE_CLOUD_INVOICE(): FieldUtil<PfLotEiConfigCU>;
    get MONTHLY_PM_FEE(): FieldUtil<PfLotEiConfigCU>;
    get REMARK(): FieldUtil<PfLotEiConfigCU>;
    get CREATE_TIME(): FieldUtil<PfLotEiConfigCU>;
    get UPDATE_TIME(): FieldUtil<PfLotEiConfigCU>;
    get USE_LOT_NAME(): FieldUtil<PfLotEiConfigCU>;
    get USE_LOT_ADDRESS(): FieldUtil<PfLotEiConfigCU>;
    get USE_CAR_NUMBER(): FieldUtil<PfLotEiConfigCU>;
}
export { PfLotEiConfigMU, PfLotEiConfigCU };
